#
# spec file for package perl-JavaScript-Minifier-XS
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name JavaScript-Minifier-XS
Name:           perl-JavaScript-Minifier-XS
Version:        0.15
Release:        1.12
Summary:        XS based JavaScript minifier
License:        Artistic-1.0 OR GPL-1.0-or-later
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/G/GT/GTERMARS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::DiagINC) >= 0.002
BuildRequires:  perl(Test::More) >= 0.96
%{perl_requires}

%description
'JavaScript::Minifier::XS' is a JavaScript "minifier"; its designed to
remove unnecessary whitespace and comments from JavaScript files, which
also *not* breaking the JavaScript.

'JavaScript::Minifier::XS' is similar in function to
'JavaScript::Minifier', but is substantially faster as its written in XS
and not just pure Perl.

%prep
%autosetup  -n %{cpan_name}-%{version}
find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Sun Oct 17 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.15
  see /usr/share/doc/packages/perl-JavaScript-Minifier-XS/Changes
  0.15      2021-10-15 20:21:23-07:00 America/Vancouver
  - GH#8 - preserve newlines when collapsing whitespace; if a block of
    whitespace contains a newline, then when collapsing we collapse to a
    newline character, not just "the first whitespace char we found"
* Mon Feb  8 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.14
  see /usr/share/doc/packages/perl-JavaScript-Minifier-XS/Changes
  0.14      2021-02-06 23:36:36-08:00 America/Vancouver
  - rewrote test suite into a single ".t" test
  - optimized memory allocations, by allocating Nodes in bulk, and being
    smarter about when we need to free/reallocate content buffers in Nodes
  - optimize whitespace collapsing
  - GH#3 / RT#108682; fix whitespace reduction at end of preserved line
    comment.  Thanks to Dan Goodliffe
  - GH#6; fix unescaped slash in character set, inside of a regex, with thanks
    to @faf
  0.13      2020-12-30 21:46:29-08:00 America/Vancouver
  - POD cleanups; spelling, SYNOPSIS
  - Switch to DZil Author Bundle
  0.12      2020-12-28 08:31:31-08:00 America/Vancouver
  - Switch to GitHub Actions, from Travis-CI.
  - Add META links to GitHub repository and issue tracker
  - Switch to Dist::Zilla
  - Bump minimum required Perl to 5.8.1
  - RT #130347; handle ES6 template literals.
    Thanks to Robert Rothenberg.
* Thu Apr  9 2015 coolo@suse.com
- translate module::build's version to what rpm understands
* Sat Mar 14 2015 coolo@suse.com
- updated to 0.11
  - RT #58416; don't segfault when trying to minify non-javascript
  0.10        Mon Jan 26 22:46 PST 2015
  - RT #64948; allow builds on older versions of Perl.
    Thanks to Michael Robinton and Ruslan Zakirov.
  - Lowered minimum Perl version to v5.6.0, as detected by
    Perl::MinimumVersion.
  - RT #51008; allow for minification of JS code that returns regexps from
    functions.
    Thanks to James Barton, Robert Krimen, and Randy Stauner.
  - Added "xt/test-compile.t" to test minification against a wider range of
    JS.  While not a 100%% guarantee that the JS still works, it does provide
    a wider range of JS to test against.
* Tue May  3 2011 coolo@opensuse.org
- initial package 0.09
  * created by cpanspec 1.78.04
